package com.ibiz.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [IM] 对象
 */
public interface IIM {

    /**
     * 获取 [跨公司领导人员清单]
     */
    public void setKgsldids(String kgsldids);
    
    /**
     * 设置 [跨公司领导人员清单]
     */
    public String getKgsldids();

    /**
     * 获取 [跨公司领导人员清单]脏标记
     */
    public boolean getKgsldidsDirtyFlag();
    /**
     * 获取 [备注]
     */
    public void setBz(String bz);
    
    /**
     * 设置 [备注]
     */
    public String getBz();

    /**
     * 获取 [备注]脏标记
     */
    public boolean getBzDirtyFlag();
    /**
     * 获取 [申报类别]
     */
    public void setSblb(String sblb);
    
    /**
     * 设置 [申报类别]
     */
    public String getSblb();

    /**
     * 获取 [申报类别]脏标记
     */
    public boolean getSblbDirtyFlag();
    /**
     * 获取 [部门领导人员清单]
     */
    public void setBmldids(String bmldids);
    
    /**
     * 设置 [部门领导人员清单]
     */
    public String getBmldids();

    /**
     * 获取 [部门领导人员清单]脏标记
     */
    public boolean getBmldidsDirtyFlag();
    /**
     * 获取 [加急原因]
     */
    public void setJjyy(String jjyy);
    
    /**
     * 设置 [加急原因]
     */
    public String getJjyy();

    /**
     * 获取 [加急原因]脏标记
     */
    public boolean getJjyyDirtyFlag();
    /**
     * 获取 [建立时间]
     */
    public void setCreateDate(Timestamp createDate);
    
    /**
     * 设置 [建立时间]
     */
    public Timestamp getCreateDate();

    /**
     * 获取 [建立时间]脏标记
     */
    public boolean getCreateDateDirtyFlag();
    /**
     * 获取 [会签部门]
     */
    public void setHqbm(String hqbm);
    
    /**
     * 设置 [会签部门]
     */
    public String getHqbm();

    /**
     * 获取 [会签部门]脏标记
     */
    public boolean getHqbmDirtyFlag();
    /**
     * 获取 [送达方式]
     */
    public void setSdfs(String sdfs);
    
    /**
     * 设置 [送达方式]
     */
    public String getSdfs();

    /**
     * 获取 [送达方式]脏标记
     */
    public boolean getSdfsDirtyFlag();
    /**
     * 获取 [跨公司部门人员清单]
     */
    public void setKgsbmids(String kgsbmids);
    
    /**
     * 设置 [跨公司部门人员清单]
     */
    public String getKgsbmids();

    /**
     * 获取 [跨公司部门人员清单]脏标记
     */
    public boolean getKgsbmidsDirtyFlag();
    /**
     * 获取 [上级部门]
     */
    public void setSjbm(Integer sjbm);
    
    /**
     * 设置 [上级部门]
     */
    public Integer getSjbm();

    /**
     * 获取 [上级部门]脏标记
     */
    public boolean getSjbmDirtyFlag();
    /**
     * 获取 [其他通知阅读对象]
     */
    public void setQttzyddx(String qttzyddx);
    
    /**
     * 设置 [其他通知阅读对象]
     */
    public String getQttzyddx();

    /**
     * 获取 [其他通知阅读对象]脏标记
     */
    public boolean getQttzyddxDirtyFlag();
    /**
     * 获取 [领导]
     */
    public void setLd(String ld);
    
    /**
     * 设置 [领导]
     */
    public String getLd();

    /**
     * 获取 [领导]脏标记
     */
    public boolean getLdDirtyFlag();
    /**
     * 获取 [标题]
     */
    public void setIMName(String iMName);
    
    /**
     * 设置 [标题]
     */
    public String getIMName();

    /**
     * 获取 [标题]脏标记
     */
    public boolean getIMNameDirtyFlag();
    /**
     * 获取 [流程编号]
     */
    public void setLcbh(String lcbh);
    
    /**
     * 设置 [流程编号]
     */
    public String getLcbh();

    /**
     * 获取 [流程编号]脏标记
     */
    public boolean getLcbhDirtyFlag();
    /**
     * 获取 [内部审核人员清单]
     */
    public void setNgshids(String ngshids);
    
    /**
     * 设置 [内部审核人员清单]
     */
    public String getNgshids();

    /**
     * 获取 [内部审核人员清单]脏标记
     */
    public boolean getNgshidsDirtyFlag();
    /**
     * 获取 [跨公司领导]
     */
    public void setKgsld(String kgsld);
    
    /**
     * 设置 [跨公司领导]
     */
    public String getKgsld();

    /**
     * 获取 [跨公司领导]脏标记
     */
    public boolean getKgsldDirtyFlag();
    /**
     * 获取 [审核方式]
     */
    public void setShfs(String shfs);
    
    /**
     * 设置 [审核方式]
     */
    public String getShfs();

    /**
     * 获取 [审核方式]脏标记
     */
    public boolean getShfsDirtyFlag();
    /**
     * 获取 [更新时间]
     */
    public void setUpdateDate(Timestamp updateDate);
    
    /**
     * 设置 [更新时间]
     */
    public Timestamp getUpdateDate();

    /**
     * 获取 [更新时间]脏标记
     */
    public boolean getUpdateDateDirtyFlag();
    /**
     * 获取 [重要事项标识]
     */
    public void setIMId(String iMId);
    
    /**
     * 设置 [重要事项标识]
     */
    public String getIMId();

    /**
     * 获取 [重要事项标识]脏标记
     */
    public boolean getIMIdDirtyFlag();
    /**
     * 获取 [申报类型]
     */
    public void setSblx(String sblx);
    
    /**
     * 设置 [申报类型]
     */
    public String getSblx();

    /**
     * 获取 [申报类型]脏标记
     */
    public boolean getSblxDirtyFlag();
    /**
     * 获取 [通知阅读]
     */
    public void setTzyd(Integer tzyd);
    
    /**
     * 设置 [通知阅读]
     */
    public Integer getTzyd();

    /**
     * 获取 [通知阅读]脏标记
     */
    public boolean getTzydDirtyFlag();
    /**
     * 获取 [流程实例]
     */
    public void setWfinstanceid(String wfinstanceid);
    
    /**
     * 设置 [流程实例]
     */
    public String getWfinstanceid();

    /**
     * 获取 [流程实例]脏标记
     */
    public boolean getWfinstanceidDirtyFlag();
    /**
     * 获取 [部门领导]
     */
    public void setBmld(String bmld);
    
    /**
     * 设置 [部门领导]
     */
    public String getBmld();

    /**
     * 获取 [部门领导]脏标记
     */
    public boolean getBmldDirtyFlag();
    /**
     * 获取 [通知阅读原因]
     */
    public void setTzydyy(String tzydyy);
    
    /**
     * 设置 [通知阅读原因]
     */
    public String getTzydyy();

    /**
     * 获取 [通知阅读原因]脏标记
     */
    public boolean getTzydyyDirtyFlag();
    /**
     * 获取 [工作流状态]
     */
    public void setImwfstate(String imwfstate);
    
    /**
     * 设置 [工作流状态]
     */
    public String getImwfstate();

    /**
     * 获取 [工作流状态]脏标记
     */
    public boolean getImwfstateDirtyFlag();
    /**
     * 获取 [建立人]
     */
    public void setCreateMan(String createMan);
    
    /**
     * 设置 [建立人]
     */
    public String getCreateMan();

    /**
     * 获取 [建立人]脏标记
     */
    public boolean getCreateManDirtyFlag();
    /**
     * 获取 [阅知对象]
     */
    public void setYzdx(String yzdx);
    
    /**
     * 设置 [阅知对象]
     */
    public String getYzdx();

    /**
     * 获取 [阅知对象]脏标记
     */
    public boolean getYzdxDirtyFlag();
    /**
     * 获取 [内部审核]
     */
    public void setNgsh(String ngsh);
    
    /**
     * 设置 [内部审核]
     */
    public String getNgsh();

    /**
     * 获取 [内部审核]脏标记
     */
    public boolean getNgshDirtyFlag();
    /**
     * 获取 [缓急程度]
     */
    public void setHjcd(String hjcd);
    
    /**
     * 设置 [缓急程度]
     */
    public String getHjcd();

    /**
     * 获取 [缓急程度]脏标记
     */
    public boolean getHjcdDirtyFlag();
    /**
     * 获取 [更新人]
     */
    public void setUpdateMan(String updateMan);
    
    /**
     * 设置 [更新人]
     */
    public String getUpdateMan();

    /**
     * 获取 [更新人]脏标记
     */
    public boolean getUpdateManDirtyFlag();
    /**
     * 获取 [领导人员清单]
     */
    public void setLdids(String ldids);
    
    /**
     * 设置 [领导人员清单]
     */
    public String getLdids();

    /**
     * 获取 [领导人员清单]脏标记
     */
    public boolean getLdidsDirtyFlag();
    /**
     * 获取 [会签部门人员清单]
     */
    public void setHqbmids(String hqbmids);
    
    /**
     * 设置 [会签部门人员清单]
     */
    public String getHqbmids();

    /**
     * 获取 [会签部门人员清单]脏标记
     */
    public boolean getHqbmidsDirtyFlag();
    /**
     * 获取 [跨公司部门]
     */
    public void setKgsbm(String kgsbm);
    
    /**
     * 设置 [跨公司部门]
     */
    public String getKgsbm();

    /**
     * 获取 [跨公司部门]脏标记
     */
    public boolean getKgsbmDirtyFlag();
    /**
     * 获取 [重要事项审批步骤]
     */
    public void setWfstep(String wfstep);
    
    /**
     * 设置 [重要事项审批步骤]
     */
    public String getWfstep();

    /**
     * 获取 [重要事项审批步骤]脏标记
     */
    public boolean getWfstepDirtyFlag();
    /**
     * 获取 [主办部门]
     */
    public void setZbbm(String zbbm);
    
    /**
     * 设置 [主办部门]
     */
    public String getZbbm();

    /**
     * 获取 [主办部门]脏标记
     */
    public boolean getZbbmDirtyFlag();
    /**
     * 获取 [拟稿日期]
     */
    public void setNgrq(Timestamp ngrq);
    
    /**
     * 设置 [拟稿日期]
     */
    public Timestamp getNgrq();

    /**
     * 获取 [拟稿日期]脏标记
     */
    public boolean getNgrqDirtyFlag();
    /**
     * 获取 [PSID]
     */
    public void setPSId(String pSId);
    
    /**
     * 设置 [PSID]
     */
    public String getPSId();

    /**
     * 获取 [PSID]脏标记
     */
    public boolean getPSIdDirtyFlag();
    /**
     * 获取 [REST]
     */
    public void setRest(String rest);
    
    /**
     * 设置 [REST]
     */
    public String getRest();

    /**
     * 获取 [REST]脏标记
     */
    public boolean getRestDirtyFlag();
}
